chore: add publish script for urdf and stl + unify all releases by de… (#727)

* chore: add publish script for urdf and stl + unify all releases by default

* better cross platform publish support

* publish in dry run within ci

* publish scripts better errors, abort if a publish fails, with an exit code.

* chore(rapier_urdf): fix warnings

* chore(rapier-urdf): typo fix

---------

Co-authored-by: Sébastien Crozet <developer@crozet.re>
This commit is contained in:
Thierry Berger
2024-09-03 21:48:10 +02:00
committed by GitHub
parent 58785ce257
commit 98f9199abc
7 changed files with 82 additions and 43 deletions

View File

@@ -0,0 +1,11 @@
#!/bin/bash
currdir=$(pwd)
### Publish rapier3d-stl.
cd "crates/rapier3d-stl" && cargo publish $DRY_RUN || exit 1
cd "$currdir" || exit 2
### Publish rapier3d-urdf.
cd "crates/rapier3d-urdf" && cargo publish $DRY_RUN || exit 1
cd "$currdir" || exit 2

35
scripts/publish-rapier.sh Executable file
View File

@@ -0,0 +1,35 @@
#!/bin/bash
tmp=$(mktemp -d)
echo "$tmp"
cp -r src "$tmp"/.
cp -r LICENSE README.md "$tmp"/.
### Publish the 2D version.
sed 's#\.\./\.\./src#src#g' crates/rapier2d/Cargo.toml > "$tmp"/Cargo.toml
currdir=$(pwd)
cd "$tmp" && cargo publish $DRY_RUN || exit 1
cd "$currdir" || exit 2
### Publish the 3D version.
sed 's#\.\./\.\./src#src#g' crates/rapier3d/Cargo.toml > "$tmp"/Cargo.toml
cp -r LICENSE README.md "$tmp"/.
cd "$tmp" && cargo publish $DRY_RUN || exit 1
cd "$currdir" || exit 2
### Publish the 2D f64 version.
sed 's#\.\./\.\./src#src#g' crates/rapier2d-f64/Cargo.toml > "$tmp"/Cargo.toml
currdir=$(pwd)
cd "$tmp" && cargo publish $DRY_RUN || exit 1
cd "$currdir" || exit 2
### Publish the 3D f64 version.
sed 's#\.\./\.\./src#src#g' crates/rapier3d-f64/Cargo.toml > "$tmp"/Cargo.toml
cp -r LICENSE README.md "$tmp"/.
cd "$tmp" && cargo publish $DRY_RUN || exit 1
rm -rf "$tmp"

34
scripts/publish-testbeds.sh Executable file
View File

@@ -0,0 +1,34 @@
#!/bin/bash
gsed -v >> /dev/null
if [ $? == 0 ]; then
gsed=gsed
else
# Hopefully installed sed is the gnu one.
gsed=sed
fi
tmp=$(mktemp -d)
echo "$tmp"
cp -r src "$tmp"/.
cp -r src_testbed "$tmp"/.
cp -r crates "$tmp"/.
cp -r LICENSE README.md "$tmp"/.
### Publish the 2D version.
$gsed 's#\.\./\.\./src#src#g' crates/rapier_testbed2d/Cargo.toml > "$tmp"/Cargo.toml
$gsed -i 's#\.\./rapier#./crates/rapier#g' "$tmp"/Cargo.toml
currdir=$(pwd)
cd "$tmp" && cargo publish $DRY_RUN
cd "$currdir" || exit
### Publish the 3D version.
$gsed 's#\.\./\.\./src#src#g' crates/rapier_testbed3d/Cargo.toml > "$tmp"/Cargo.toml
$gsed -i 's#\.\./rapier#./crates/rapier#g' "$tmp"/Cargo.toml
cp -r LICENSE README.md "$tmp"/.
cd "$tmp" && cargo publish $DRY_RUN
rm -rf "$tmp"